unit Unit1;

interface

uses
  Classes, Graphics, Forms, Controls, HemiBtn, ExtCtrls, StdCtrls, Buttons, Dialogs, SysUtils;

type
  TForm1 = class(TForm)
    Panel2: TPanel;
    HemisphereButton10: THemisphereButton;
    HemisphereButton11: THemisphereButton;
    HemisphereButton12: THemisphereButton;
    HemisphereButton13: THemisphereButton;
    HemisphereButton14: THemisphereButton;
    HemisphereButton15: THemisphereButton;
    HemisphereButton16: THemisphereButton;
    HemisphereButton17: THemisphereButton;
    HemisphereButton18: THemisphereButton;
    HemisphereButton19: THemisphereButton;
    HemisphereButton20: THemisphereButton;
    HemisphereButton21: THemisphereButton;
    Edit1: TEdit;
    HemisphereButton3: THemisphereButton;
    HemisphereButton4: THemisphereButton;
    HemisphereButton5: THemisphereButton;
    HemisphereButton6: THemisphereButton;
    HemisphereButton7: THemisphereButton;
    HemisphereButton1: THemisphereButton;
    HemisphereButton8: THemisphereButton;
    HemisphereButton2: THemisphereButton;
    procedure OnDigitClick(Sender: TObject);
    procedure HemisphereButton7Click(Sender: TObject);
    procedure HemisphereButton8Click(Sender: TObject);
    procedure OnOptsClick(Sender: TObject);
    procedure HemisphereButton1Click(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.OnOptsClick(Sender: TObject);
begin
  case TControl(Sender).Tag of
  1: Edit1.Font.Color := clWhite;
  2: Edit1.Font.Color := clYellow;
  3: Edit1.Font.Color := clSilver;
  4: Edit1.Font.Color := clLime;
  end;
end;

procedure TForm1.OnDigitClick(Sender: TObject);
var
  aChar: char;
begin
  if TControl(Sender).Tag < 10 then
    aChar := char(48+TControl(Sender).Tag)
  else if TControl(Sender).Tag = 10 then
    aChar := '*'
  else if TControl(Sender).Tag = 11 then
    aChar := '#';
  Edit1.Text := Edit1.Text + aChar;
end;

{ Clear }
procedure TForm1.HemisphereButton7Click(Sender: TObject);
begin
  Edit1.Clear;
end;

{ Delete }
procedure TForm1.HemisphereButton8Click(Sender: TObject);
begin
  Edit1.Text := Copy(Edit1.Text, 0, Length(Edit1.Text)-1);
end;

{ Info }
procedure TForm1.HemisphereButton1Click(Sender: TObject);
begin
  ShowMessage('Author:'+#13+#13+'Christian Schnell'+#13+'lulli@cs.tu-berlin.de');
end;

end.
